<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Databáze publikací - doplňující informace</title>
	<link rel="stylesheet" type="text/css" href="load.css" />
	{if $strict_mode}
	{literal}
	<script type="text/javascript">
	//<![CDATA[
		function validate() {
			isbn = document.getElementById('isbn');
			issue_date = document.getElementById('issue_date');
			pp = document.getElementById('pp');
			issn = document.getElementById('issn');
			vol = document.getElementById('vol');
			no = document.getElementById('no');
			pp = document.getElementById('pp');
			workshop_name = document.getElementById('workshop_name');
			w_from = document.getElementById('w_from');
			w_to = document.getElementById('w_to');
			{/literal}{if $decision_pub_type eq "1"} <!-- book -->{literal}
				if (!isbn.value) {
					alert('Formát ISBN je neplatný');
					isbn.focus();
					return false;
				}
				if (!issue_date.value) {
					alert('Chybný formát datumu, zadejte YYYY');
					issue_date.focus();
					return false;
				}
				if (!pp.value) {
					alert('Počet stran zadán špatně');
					pp.focus();
					return false;
				}
			{/literal}{elseif $decision_pub_type eq "2"} <!-- magazine -->{literal}
				if (!issn.value) {
					alert('Formát ISSN je neplatný (správně např. 1234-1234)');
					issn.focus();
					return false;
				}
				if (!issue_date.value) {
					alert('Chybný formát datumu, zadejte YYYY');
					issue_date.focus();
					return false;
				}
				if (!pp.value) {
					alert('Rozsah stránek je špatně, (zadejte např. 16-24)');
					pp.focus();
					return false;
				}
				{/literal}{elseif $decision_pub_type eq "3"} <!-- workshop -->{literal}
				if (!isbn.value) {
					alert('Formát ISBN je neplatný');
					isbn.focus();
					return false;
				}
				if (!workshop_name.value) {
					alert('Chybí jméno konference');
					workshop_name.focus();
					return false;
				}
				if (!w_from.value) {
					alert('Chybný formát datumu zahájení konference, zadejte YYYY-MM-DD');
					w_from.focus();
					return false;
				}
				if (!w_to.value) {
					alert('Chybný formát datumu ukončení konference, zadejte YYYY-MM-DD');
					w_to.focus();
					return false;
				}
				{/literal}{/if}{literal}
				if (!publisher.value) {
					alert('Není vybrán vydavatel');
					publisher.focus();
					return false;
				}

		}
	//]]>
	</script>
	{/literal}
	{/if}
</head>
<body>
	{include file="load_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/>
		{/if}
		<form action="index.php" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
		<table border="0" cellspacing="20" summary="Zadání nové publikace">
		{if $decision_pub_type eq "1"} <!-- book -->
			<tr>
				<td>ISBN{if $strict_mode}*{/if}:</td><td><input type="text" name="isbn" id="isbn" size="20" value="{$isbn}" /></td>
			</tr>
			<tr>
				<td>Rok vydání (YYYY){if $strict_mode}*{/if}:</td><td><input type="text" name="issue_date" id="issue_date" maxlength="4" size="20" value="{$issue_date}" /></td>
			</tr>
			<tr>
				<td>Počet stran (pouze číslo){if $strict_mode}*{/if}:</td><td><input type="text" name="pp" id="pp" size="20" value="{$pp}" /></td>
			</tr>
		{elseif $decision_pub_type eq "2"} <!-- magazine -->
			<tr>
				<td>ISSN{if $strict_mode}*{/if}:</td><td><input type="text" name="issn" id="issn" size="20" maxlength="9" value="{$issn}" /></td>
			</tr>
			<tr>
				<td>Rok a měsíc vydání (YYYY-MM){if $strict_mode}*{/if}:</td><td><input type="text" name="issue_date" id="issue_date" maxlength="7" size="20" value="{$issue_date}" /></td>
			</tr>
			<tr>
				<td>vol.:</td><td><input type="text" name="vol" id="vol" size="20" value="{$vol}" /></td>
			</tr>
			<tr>
				<td>no.:</td><td><input type="text" name="no" id="no" size="20" value="{$no}" /></td>
			</tr>
			<tr>
				<td>Stránky od - do (např. 16-24){if $strict_mode}*{/if}:</td><td><input type="text" name="pp" id="pp" size="20" value="{$pp}" /></td>
			</tr>
		{elseif $decision_pub_type eq "3"} <!-- workshop -->
			<tr>
				<td>ISBN/ISSN{if $strict_mode}*{/if}:</td><td><input type="text" name="isbn" id="isbn" size="20" value="{$isbn}" /></td>
			</tr>
			<tr>
				<td>Rok vydání (YYYY){if $strict_mode}*{/if}:</td><td><input type="text" name="issue_date" id="issue_date" maxlength="4" size="20" value="{$issue_date}" /></td>
			</tr>

			<tr>
				<td>Název konference{if $strict_mode}*{/if}:</td><td><input type="text" name="workshop_name" id="workshop_name" size="20" value="{$workshop_name}" /></td>
			</tr>
			<tr>
				<td>Datum konání (YYYY-MM-DD){if $strict_mode}*{/if}:</td><td>od <input type="text" name="w_from" id="w_from" size="20" value="{$w_from}" maxlength="10" /> do <input type="text" name="w_to" id="w_to" size="20" value="{$w_to}" maxlength="10" /></td>
			</tr>
			<tr>
				<td>Stránky{if $strict_mode}*{/if}:</td><td><input type="text" name="pp" id="pp" size="20" value="{$pp}" /></td>
			</tr>
		{/if}
		<tr>
			<td>
					Vydavatel{if $strict_mode}*{/if}:
			</td>
			<td>
					<select name="publisher" id="publisher" size="10">
					{html_options options=$publisher selected=$selected_publisher}
					</select>
					<br />
			</td>
			<td>
					<div class="add">
					<fieldset>
					<legend>nový vydavatel</legend>
						<label>jméno: <input type="text" name="publisher_name" value="" /></label>
						<br />
						<input type="submit" name="add_publisher" value="&lt;&lt; přidat" title="přidat vydavatele" /><br />
						<input type="submit" name="delete_publisher" value="&gt;&gt; odebrat" title="odebrat vydavatele" />
					</fieldset>
					</div>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				Dodatečné atributy - nevyplňujte pokud nijak nesouvisí s účelem publikace:
			</td>
		</tr>
		<!-- extra attributes -->
		{$attributes}
		<!-- END -->
		<!-- temporarily added attributes -->
		{$tmp_attr}
		<!-- END -->
		<tr>
			<td class="attribut_add" colspan="2">
				<fieldset>
				<legend>Přidání nového atributu</legend>
				<dl class="liketable_two">
					<dt><label for="new_attribute_name">jméno&nbsp;atributu: </label></dt>
					<dd><input type="text" id="new_attribute_name" name="new_attribute_name" maxlength="32" value="{$new_attribute_name}" /><span>&nbsp; *první znak podtržítko, ostatní znaky písmena a číslice.</span></dd>

					<dt><label for="new_attribute_value">hodnota&nbsp;atributu: </label></dt>
					<dd><input type="text" id="new_attribute_value" name="new_attribute_value" value="{$new_attribute_value}" /></dd>

					<dt><label for="new_attribute_description">popisek&nbsp;atributu: </label></dt>
					<dd><input type="text" id="new_attribute_description" name="new_attribute_description" maxlength="255" value="{$new_attribute_description}" /><span>&nbsp; *max. 255 znaků, nepovinné</span></dd>
				</dl>
				<input type="submit" name="delete_attributes" value="odebrat přidané atributy" />
				<input type="submit" name="add_attribute" class="zvyraznen" value="přidat" />
				</fieldset>
			</td>
		</tr>
		<tr>
			<td class="left">
				<input type="hidden" name="prev_stage" value="1" />
				<input type="submit" name="previous" value="&lt;&lt; předchozí" />
			</td>
			<td class="right">
				<input type="hidden" name="next_stage" value="3" />
				<input type="submit" name="next" value="další &gt;&gt;" {if $strict_mode}onclick="return validate();"{/if} />
			</td>
		</tr>
		</table>
		</form>
	</div>
	</div>


</body></html>