<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - import publication</title>
	<link rel="stylesheet" type="text/css" href="import.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	{literal}
	<script type="text/javascript">
	//<![CDATA[
		function validate()
		{
			bibtex = document.getElementById('bibtex');
			if(!bibtex.value)
			{
				alert('BibTeX definition is missing.');
				title.focus();
				return false;
			}
			return true;
		}

		function addInput()
		{
			var ni = document.getElementById('files');
			var numi = document.getElementById('base_inp');
			var newInput = document.createElement('input');
			newInput.setAttribute("type", "file");
			newInput.setAttribute("name", numi.name);
			var newBr = document.createElement('br');
			ni.appendChild(newInput);
			ni.appendChild(newBr);
		}
	//]]>
	</script>
	{/literal}
</head>
<body>
	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<br />
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/>
		{/if}
		<form action="" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
		{if $stage == '0'}
			Insert BibTeX definition:<br />
			<textarea name="bibtex" rows="20" cols="80">{$bibtex}</textarea>
			<br /><br /><br />
			Place the publication into a category:
			<br />
			<fieldset>
			<legend>Categories</legend>
			{if $added_categories}
				<strong>Added categories in which the publication will be placed:</strong>
				<span style="color: blue;">
				{foreach from=$added_categories item=current}
					{$current}
				{/foreach}
				</span>
				<input type="submit" name="delete_added_categories" value="smazat" />
				<br /><br />
			{/if}
			{html_checkboxes name="propagated_categories" options=$categories
			selected=$selected_categories separator=" "}
			<br /><br />
			<input type="text" name="category_name" value="" /><input type="submit" name="add_category" value="add category" /><br />
			<br />
			</fieldset>
			<br /><br />
			<hr />
			<div class="right"><input type="submit" name="submit_import" onclick="return validate();" value="next &gt;&gt;" /></div>
		{elseif $stage eq 1}
			{if $report}
				<div class="report">
					BibTeX definition you are inserting has particular defects, which you may ignore
					and finish import. Regarding to BibTeX rules
					we recommend go back to the previous form
					and correct these defects: <br /><br />
					<span style="color: #FF8C00">{$report}</span>
				</div>
			{/if}
			<strong>Type of publication:</strong> {$pub_type}<br />
			<strong>Title:</strong> {$title}<br />
			{if $booktitle}<strong>Booktitle:</strong> {$booktitle}<br />{/if}
			{if $author}<strong>Authors:</strong> {$author}<br />{/if}
			{if $volume}<strong>Volume:</strong> {$volume}<br />{/if}
			{if $number}<strong>Number:</strong> {$number}<br />{/if}
			{if $chapter}<strong>Chapter:</strong> {$chapter}<br />{/if}
			{if $pages}<strong>Pages:</strong> {$pages}<br />{/if}
			{if $series}<strong>Series:</strong> {$series}<br />{/if}
			{if $edition}<strong>Edition:</strong> {$edition}<br />{/if}
			{if $howpublished}<strong>Howpublished:</strong> {$howpublished}<br />{/if}
			{if $type}<strong>Type of report:</strong> {$type}<br />{/if}
			{if $institution}<strong>Edition:</strong> {$institution}<br />{/if}
			{if $school}<strong>School:</strong> {$school}<br />{/if}
			{if $organization}<strong>Organization:</strong> {$organization}<br />{/if}

			{if $journal}<strong>Journal:</strong> {$journal}<br />{/if}

			{if $conference}<strong>Conference:</strong> {$conference}<br />{/if}
			{if $year}<strong>Year: </strong>{$year}<br />{/if}
			{if $month}<strong>Month: </strong>{$month}<br />{/if}
			{if $location}<strong>Location of conference:</strong> {$location}<br />{/if}

			{if $publisher}<strong>Publisher:</strong> {$publisher}<br />{/if}
			{if $address}<strong>Address of publisher:</strong> {$address}<br />{/if}

			{if $isbn}<strong>ISBN:</strong> {$isbn}<br />{/if}
			{if $issn}<strong>ISSN:</strong> {$issn}<br />{/if}
			{if $note}<strong>Note:</strong> {$note}<br />{/if}
			{if $url}<strong>URL:</strong> {$url}<br />{/if}
			{if $abstract}<strong>Abstract:</strong><br /> {$abstract}<br /><br />{/if}

			{if $categories or $tmp_cat}
				<strong>Categories:</strong>
				{foreach from=$categories item=current}{$current} {/foreach}
				{foreach from=$tmp_cat item=current}{$current} {/foreach}
				<br />
			{/if}

			<br /><br />
			You can add files to the imported publicaton {if $permitted_extensions}({$permitted_extensions}){/if}:<br />
			<div id="files">
				<input id="base_inp" type="file" name="documents[]" onmousedown="addInput();" /><br />
			</div>
			<br /><br />
			<hr />
			<div style="float: left;"><input type="submit" name="previous" value="&lt;&lt; back" /></div>
			<div style="float: right;"><input type="submit" name="submit_finish" value="finish import"  /></div>
		{/if}
		</form>
	</div>
	</div>
</body></html>